{"openapi":"3.0.4","info":{"title":"Upsert portfolio details","description":"Create or update certain details for a particular transaction portfolio. The details are updated if they already exist, and inserted if they do not.\r\n            \r\nNote that not all elements of a transaction portfolio definition are\r\nmodifiable once it has been created due to the potential implications for data already stored.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/details":{"post":{"tags":["Transaction Portfolios"],"summary":"Upsert portfolio details","description":"Create or update certain details for a particular transaction portfolio. The details are updated if they already exist, and inserted if they do not.\r\n            \r\nNote that not all elements of a transaction portfolio definition are\r\nmodifiable once it has been created due to the potential implications for data already stored.","operationId":"UpsertPortfolioDetails","parameters":[{"name":"scope","in":"path","description":"The scope of the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the transaction portfolio. Together with the\r\n             scope this uniquely identifies the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which the updated or inserted details should become valid.\r\n             Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}}],"requestBody":{"description":"The details to create or update for the specified transaction portfolio.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreatePortfolioDetails"},"example":{"corporateActionSourceId":{"scope":"Sources","code":"Vendor1"}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreatePortfolioDetails"},"example":{"corporateActionSourceId":{"scope":"Sources","code":"Vendor1"}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreatePortfolioDetails"},"example":{"corporateActionSourceId":{"scope":"Sources","code":"Vendor1"}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/CreatePortfolioDetails"},"example":{"corporateActionSourceId":{"scope":"Sources","code":"Vendor1"}}}},"required":true},"responses":{"200":{"description":"The newly updated or inserted details","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PortfolioDetails"},"example":{"originPortfolioId":{"scope":"Region","code":"UK"},"version":{"effectiveFrom":"2024-05-05T05:05:05.0000000+00:00","asAtDate":"2025-05-05T05:05:05.0000000+00:00"},"baseCurrency":"GBP","corporateActionSourceId":{"scope":"Sources","code":"Vendor1"},"subHoldingKeys":["Portfolio/Client/AccountType"],"accountingMethod":"Default"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PortfolioDetails"},"example":{"originPortfolioId":{"scope":"Region","code":"UK"},"version":{"effectiveFrom":"2024-05-05T05:05:05.0000000+00:00","asAtDate":"2025-05-05T05:05:05.0000000+00:00"},"baseCurrency":"GBP","corporateActionSourceId":{"scope":"Sources","code":"Vendor1"},"subHoldingKeys":["Portfolio/Client/AccountType"],"accountingMethod":"Default"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PortfolioDetails"},"example":{"originPortfolioId":{"scope":"Region","code":"UK"},"version":{"effectiveFrom":"2024-05-05T05:05:05.0000000+00:00","asAtDate":"2025-05-05T05:05:05.0000000+00:00"},"baseCurrency":"GBP","corporateActionSourceId":{"scope":"Sources","code":"Vendor1"},"subHoldingKeys":["Portfolio/Client/AccountType"],"accountingMethod":"Default"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}